#
# spec file for package tcpdump (Version 3.6.2)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libpcap libsmi openssl openssl-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libpcap libsmi libtool libz openssl openssl-devel pam perl rpm

Name:         tcpdump
License:      BSD
Group:        Productivity/Networking/Diagnostic
Autoreqprov:  on
Version:      3.6.2
Release:      340
Summary:      Packet sniffer
Source:       %{name}-%{version}.tar.bz2
Patch:        include-time-%{version}.dif
Patch1:       autoconf-%{version}.dif
Patch2:       cast-pointer-%{version}.dif
Patch3:       %{name}-secfix.dif
Patch4:       %{name}-afsprint.dif
Patch5:       %{name}-bgp.diff
Patch6:       %{name}-isakmp.diff
Patch7:       %{name}-nfs.diff
Patch8:       %{name}-%{version}-isakmp-buffer-overflow-fix.diff
Patch9:       %{name}-%{version}-isakmp-fix2.diff
Patch10:      %{name}-%{version}-radius-fix.diff
Patch11:      %{name}-%{version}-l2tp-fix.diff
Patch12:      %{name}-%{version}-isakmp-fix3.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
With this program, "read" all or only certain packets going over
the ethernet. It can be used to debug specific network problems.

SuSE series: n

%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12

%build
%{suse_update_config -f}
libtoolize --force
cp aclocal.m4 acinclude.m4
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
                                   --prefix=/usr \
                                   --mandir=%{_mandir} \
                                   --enable-ipv6
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES CREDITS LICENSE PLATFORMS *.awk
%doc %{_mandir}/man1/*
/usr/sbin/tcpdump

%changelog -n tcpdump
* Mon Mar 29 2004 - postadal@suse.cz
- fixed overflow in ISAKMP (CAN-2004-0183) [#36828]
* Fri Jan 16 2004 - postadal@suse.cz
- fixed security bugs in these parsers: L2TP (CAN-2003-1029),
  RADIUS (CAN-2004-0055), ISAKMP (CAN-2004-0057) [#33763]
* Tue Jan 06 2004 - postadal@suse.cz
- fixed two remotely exploitable buffer overflows in the ISAKMP parser
  [#33763] (CAN-2003-0989)
* Wed Mar 05 2003 - postadal@suse.cz
- fixed security bugs in parsing ISAKMP, BGP, NFS and AFS
* Mon May 20 2002 - postadal@suse.cz
- security fixes
  * buffer overflows
  * tcpdump segfaults when displaying NFS traffic
  * afs printing
* Mon Jun 18 2001 - cihlar@suse.cz
- updated to version 3.6.2
- removed obsolete patches
- compile against package libpcap
* Tue Feb 06 2001 - ro@suse.de
- tcpclice.c: include time.h
- smbutil.c: include time.h
* Fri Jan 19 2001 - bk@suse.de
- Turn off PACKET_RX_RING too. It is not available in lx_sus22 and
  not enabled in our 2.4 kernel configs and causes a warning on
  every start and possible trouble. See bug #5178
* Thu Jan 11 2001 - ak@suse.de
- Turn off PACKET_TRECV. It's not enabled in our kernel and causes some
  problems.
* Fri Nov 24 2000 - ak@suse.de
- Add mb() for ppc
* Tue Nov 14 2000 - ro@suse.de
- groups sorted
* Tue Nov 14 2000 - ak@suse.de
- add some protocols to make it build on 6.1 again
* Mon Nov 13 2000 - ak@suse.de
- add membar fix for sparc
* Sat Nov 11 2000 - ak@suse.de
- fix some buffer overflows.
* Thu May 18 2000 - schwab@suse.de
- Fix missing declaration.
- Fix broken includes.
- Get rid of Makefile.Linux and clean up spec file.
- Update config.{sub,guess}.
* Thu May 11 2000 - ak@suse.de
- add security fix for endless dns looping. From Guy Harris.
* Thu Mar 02 2000 - ak@suse.de
- move man pages to /usr/share/man
* Wed Dec 22 1999 - ak@suse.de
- fix promiscuous mode bug
* Fri Dec 03 1999 - bk@suse.de
- disabled NO_SMP_DEBUG changes by ank(did not compile on sparc)
* Sat Nov 06 1999 - bk@suse.de
- Integrated changes from ak:
  strip tcpdump and a fix a -p crash bug (pcap-maddr-fix)
* Wed Oct 27 1999 - bk@suse.de
- Andi Kleen added patches from Alexey Kuznetsov. Features e.g.:
- device independent libpcap, Kernel support for new link-layers, e.g. ISDN
  (libpcap uses PF_PACKET,SOCK_DGRAM instead of PF_INET,SOCK_PACKET)
- IPv6 and APM support, SMB updates
- libpcap support for "In Kernel Packet Filtering" (CONFIG_FILTER)
- made a libpcapn subpackage which holds the new libpcap for developers.
- Added fix to reestablish old output format of tcpdump from Andi Kleen.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 29 1998 - ro@suse.de
- print_i4l : include net/ethernet.h instead of netinet/if_ether.h for glibc
* Mon Mar 02 1998 - florian@suse.de
- update to version 3.4a6
* Mon Jul 07 1997 - florian@suse.de
- update to version 3.4a5
- added isdn-patches
- update to version 3.4a3
* Sun Apr 13 1997 - florian@suse.de
- update to new version 3.3.1a2 with automatic detection of packet types
* Thu Jan 02 1997 - florian@suse.de
- added the changes distributed with samba
- added isdn patches
